Register relationship type
Register a relationship type and its metadata. Re-registering an existing type updates it in place.
curl --request POST \
--url https://www.useboom.ai/api/v1/cdp/relationship-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "<string>",
"customObjectType": "<string>",
"parentCustomObjectType": "<string>",
"childCustomObjectType": "<string>",
"description": "<string>",
"bidirectional": true
}
'import requests
url = "https://www.useboom.ai/api/v1/cdp/relationship-types"
payload = {
"role": "<string>",
"customObjectType": "<string>",
"parentCustomObjectType": "<string>",
"childCustomObjectType": "<string>",
"description": "<string>",
"bidirectional": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role: '<string>',
customObjectType: '<string>',
parentCustomObjectType: '<string>',
childCustomObjectType: '<string>',
description: '<string>',
bidirectional: true
})
};
fetch('https://www.useboom.ai/api/v1/cdp/relationship-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "person_to_co",
"customObjectType": "<string>",
"relationshipTypeId": "<string>",
"role": "<string>",
"cardinality": "ONE_TO_ONE",
"description": "<string>",
"bidirectional": true,
"created": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Organization API key, sent as Authorization: Bearer boom_org_....
Body
Type kind. 'person_to_co' links people to one custom object type; 'co_to_co' links two custom object types.
person_to_co, co_to_co Edge role, e.g. "placed" or "has_line_item".
1 - 255Custom object type name. Required when kind is 'person_to_co'.
1 - 255Parent custom object type name. Required when kind is 'co_to_co'.
1 - 255Child custom object type name. Required when kind is 'co_to_co'.
1 - 255Optional cardinality: ONE_TO_ONE, ONE_TO_MANY, MANY_TO_ONE, MANY_TO_MANY.
ONE_TO_ONE, ONE_TO_MANY, MANY_TO_ONE, MANY_TO_MANY Optional human-readable description of the relationship type.
1 - 1000Optional: whether the relationship is bidirectional.
Response
Success
- Option 1
- Option 2
"person_to_co"Edge role, e.g. "placed" or "has_line_item".
ONE_TO_ONE, ONE_TO_MANY, MANY_TO_ONE, MANY_TO_MANY Was this page helpful?
